
set( artdaq_node_server_VERSION 1.01.01b )
set( artdaq_node_server_UPS_VERSION v1_01_01b )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( artdaq_database v1_03_03 )
    find_ups_boost( v1_57_0 )
    find_ups_product( cetlib v2_02_00 )
    find_ups_product( sqlite  )
    find_ups_product( cetlib_except v1_01_00 )
    find_ups_product( cetpkgsupport v1_11_00 )
    find_ups_product( mongodb v3_4_6 )
    find_ups_product( TRACE v3_13_05 )
    find_ups_product( swig v3_0_12 )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
      include_directories ( $ENV{ARTDAQ_NODE_SERVER_INC} )

check_required_components(artdaq_node_server)

